pcl::GASDSignature984 Struct Reference
Module common

A point structure representing the Globally Aligned Spatial Distribution (GASD) shape and color descriptor. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| GASDSignature984 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | histogram [984] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const GASDSignature984 &p)

## Detailed Description

A point structure representing the Globally Aligned Spatial Distribution (GASD) shape and color descriptor.

Definition at line 1652 of file point_types.hpp.

## Constructor & Destructor Documentation

## GASDSignature984()

pcl::GASDSignature984::GASDSignature984 | ( |  | ) |

inline default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::GASDSignature984::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1655 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const GASDSignature984 & | p
| ) |  |

friend

## Member Data Documentation

## histogram

float pcl::GASDSignature984::histogram[984] = {0.f}

Definition at line 1654 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp